# $Revision: 1.36 $, $Date: 2008-05-18 16:57:26 $
Summary:	Unionfs control tools
Summary(pl.UTF-8):	Stakowalny, unifikujący system plików
Name:		unionfs
Version:	0.2.1
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base/Kernel
Source0:	ftp://ftp.fsl.cs.sunysb.edu/pub/unionfs/unionfs-utils-0.x/%{name}_utils-%{version}.tar.gz
# Source0-md5:	c88ba424a7eb196ac930ee41ef3b6f43
URL:		http://www.filesystems.org/project-unionfs.html
BuildRequires:	automake
BuildRequires:	libuuid-devel
# NB: tools do not require -libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir	%{_sbindir}

%description
Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate. Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more. Unionfs allows any
mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out.

%description -l pl.UTF-8
Unionfs to stakowalny, unifikujący system plików, potrafiący łączyć
zawartość kilku katalogów (gałęzi), zachowując oddzielnie ich fizyczną
zawartość. Unionfs jest przydatny do zarządzania połączonym drzewem
źródeł, połączoną zawartością podzielonych CD-ROM-ów, połączonymi
oddzielnymi katalogami z pakietami programów, tabelami danych itp.
Unionfs pozwala na dowolne mieszanie gałęzi tylko do odczytu oraz do
odczytu i zapisu, a także wstawianie i usuwanie gałęzi w dowolnym
miejscu.

%package libs
Summary:	Shared unionfs utils library
Group:		Libraries

%description libs
This package contains shared library used to control a unionfs mount.

%package devel
Summary:	Header files for unionfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki unionfs
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for unionfs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki unionfs.

%package static
Summary:	Static unionfs library
Summary(pl.UTF-8):	Statyczna biblioteka unionfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static unionfs library.

%description static -l pl.UTF-8
Statyczna biblioteka unionfs.

%prep
%setup -q -n %{name}_utils-%{version}

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS INSTALL README
%attr(755,root,root) %{_bindir}/unionctl
%attr(755,root,root) %{_bindir}/uniondbg
%attr(755,root,root) %{_bindir}/unionimap
%{_mandir}/man8/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunionfs_utils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunionfs_utils.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/unionfs_utils.h
%{_libdir}/libunionfs_utils.la
%{_libdir}/libunionfs_utils.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libunionfs_utils.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: unionfs.spec,v $
Revision 1.36  2008-05-18 16:57:26  glen
- amd64 build fix

Revision 1.35  2008-05-18 16:22:42  glen
- unionfs tools v0.2.1

Revision 1.34  2008-05-18 16:22:17  glen
- only userspace tools here, kernel module is in kernel spec

Revision 1.33  2008-05-18 16:01:26  glen
- drop up/smp, alt kernel fixes

Revision 1.32  2007-03-15 23:28:39  glen
- grsec_kernel bcond from AC-branch

Revision 1.31  2007/03/15 23:01:58  glen
- up bcond

Revision 1.30  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.28  2006/12/04 12:43:54  glen
- unmatched %if

Revision 1.27  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.26  2006/11/13 20:38:29  sparky
- use rpmldflags

Revision 1.25  2006/11/13 20:13:08  sparky
- up to 1.3 (for 2.6.17)

Revision 1.24  2006/11/13 20:03:37  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros

Revision 1.23  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.22  2006/09/28 19:11:55  glen
- unionfs-1.2 is for 2.6.16 kernels

Revision 1.21  2006/09/28 19:11:16  glen
- needs vserver patch (anyone?)

Revision 1.20  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.19  2006/06/03 15:30:29  glen
- updated to 1.1.4, doesn't build with 2.6.16.19

Revision 1.18  2006/05/04 00:04:52  glen
- new build copied from template-kernel-module.spec
- 2.6.16.11-1 builds with current snap

Revision 1.17  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.16  2006/03/17 22:03:36  glen
- rel 3

Revision 1.15  2006/03/11 12:25:41  arekm
- rel 2

Revision 1.14  2006/02/05 20:33:37  areq
- new way of modules build
- fix build modules without DEBUG

Revision 1.13  2006/01/28 23:25:20  arekm
- drop Werror

Revision 1.12  2006/01/28 23:17:46  arekm
- up to 1.1.2; fix sparc && ppc

Revision 1.11  2005/09/18 12:24:06  areq
- 1.0.14

Revision 1.10  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.9  2005/08/31 09:05:13  troll
- spaces to tabs

Revision 1.8  2005/08/31 08:40:47  zboczuch
- correct place for BR line

Revision 1.7  2005/08/31 08:37:30  zboczuch
- BR: libuuid-devel

Revision 1.6  2005/08/10 21:48:41  areq
- disable debug

Revision 1.5  2005/07/28 20:08:41  pluto
- complaint with template-kernel-module.
- build utils in %build.
- kernel modules renamed to kernel-{,smp-}fs-unionfs.
- release 1.

Revision 1.4  2005/07/28 09:25:22  blekot
- up to 1.0.13

Revision 1.3  2005/07/17 20:19:59  qboosh
- pl, kernel/userspace bconds

Revision 1.2  2005/07/17 18:13:42  areq
- fix md5

Revision 1.1  2005/07/17 15:24:59  areq
- raw PLD spec
